#include "StoreSpecialPackCatalogItemMetaData.h"


FStoreSpecialPackCatalogItemMetaData::FStoreSpecialPackCatalogItemMetaData()
{
	this->FullPrice = TArray<FStoreSpecialPackCatalogPrice>();
	this->SortOrder = 0;
	this->ImagePath = TEXT("");
	this->ImagePath_IsSet = false;
	this->SpecialPackTitle = TMap<FString, FString>();
	this->FullDescription = TMap<FString, FString>();
	this->FullDescription_IsSet = false;
	this->Discount = 0.0f;
	this->HiddenIfOwned = false;
	this->MinNumberOfUnownedForPurchase = 0;
	this->StartDate = FDateTime{};
	this->StartDate_IsSet = false;
	this->EndDate = FDateTime{};
	this->EndDate_IsSet = false;
	this->DLCId = TEXT("");
	this->DLCId_IsSet = false;
	this->ImageComposition = FStoreSpecialPackImageCompositionData{};
	this->ImageComposition_IsSet = false;
}
